Description

Should allow relaying messages to any domain whose primary MX AAAA record is in our IPv6 range.
e Setup
e Domain IN MX <mailrelay>

e mailrelay IN AAAA <IPv6 address of the real host>
e mailrelay IN A <IPv4 addres of a "proxy")>

History

#1 - 01/13/2020 06:54 PM - Moris Jones

This should not be so difficult.
The most basic exim setup using exim4-config allows supplying a list of domains to relay for.
This list needs to be created and provided to exim.

One approach would be for it to be done manually (user opt-in), whereby user adds their domain using a cmdline tool. This is probably fastest to
implement and the best short-term solution.

Another approach would be to generate it automatically by crawling through all global DNS records and searching for MX records with AAAA in our
range. This would need to be run repeatedly using a cron job, and would be intensive and slow to update.

A more combined approach would be to maintain an internal record of all relevant DNS info - list of domains owned by customers and copies of their

respective zone files. These could then be used to generate the relay list for exim, and would be much less data to crawl through. This data will be
necessary for the IPv4-to-IPv6 semi-recursive DNS proxy anyway.

#2 - 01/31/2022 01:09 PM - Moris Jones

Instructions on an experimental implementation for this can be found here:

https://redmine.ungleich.ch/projects/open-infrastructure/wiki/How_to_use_the IPv4-to-IPv6-Proxy

#3 - 01/02/2024 02:18 PM - Nico Schottelius

- Status changed from New to Rejected
